# -*- coding: utf-8 -*-
# assoziation.py

from kd_verbinder import KD_Verbinder

### ---------------------------------------------------
class Assoziation(KD_Verbinder):
    """Assoziation fuer UML-Diagramme"""

    def __init__(self,
                 startKarte,
                 startKante,
                 zielKarte,
                 zielKante,
                 name='',
                 typ=0,
                 verbindertyp=0,
                 richtung=0   # alternativ 1
                 ):
        KD_Verbinder.__init__(self,
                              startKarte,
                              startKante,
                              zielKarte,
                              zielKante,
                              name)
        self.SetzeVerbinderTyp(verbindertyp)
        self.SetzeTyp(typ)
        # 0: 'einfach', 1: 'Aggregation', 2: 'Komposition':
        self.SetzeRichtung(richtung)
