# -*- coding: utf-8 -*-
# figurenGruppe2.py
# dreht um den Anfangspunkt

### diese Klasse ueberschreibt also allein die Methode
### Transformiere von Figurengruppe

import platform
versionsNummer=platform.python_version()[0]

from figuren import *
import math

### ---------------------------------------------------
class FigurenGruppe2(FigurenGruppe):
    """FigurenGruppe mit Drehung um den Anfangspunkt"""

    def __init__(self, xPos=0, yPos=0, winkel=0):
        FigurenGruppe.__init__(self, xPos, yPos, winkel)

    def Transformiere(self, path):
        """Transformiert den übergebenen Pfad
        Drehung um den Anfang!!! """
        gc = Zeichenflaeche.GibZeichenflaeche().GibGC()
        gc.PushState()
        # Hilfvariable verwenden
        x,y = self.GibXPosition(), self.GibYPosition()
        w = self.GibOrientierung()
        b,h = self.GibBreite(), self.GibHoehe()
        gc.Translate(x, y)
        gc.Rotate(radians(w))
        transformation = gc.GetTransform()
        gc.PopState()
        path.Transform(transformation)
        return path


